package com.vendor.platform.ui;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.platform.api.IDeviceChangedListener;
import com.vendor.platform.api.IDeviceManager;
import com.vendor.platform.core.StopLicenceCheck;
import com.vendor.platform.ui.internal.AbstractUIActivator;
import com.vendor.platform.ui.internal.LanguageMenuBuilder;
import com.vendor.platform.ui.internal.MenuUtils;
import com.vendor.platform.ui.internal.NTP;
import com.vendor.platform.ui.internal.ToolMenuBuilder;
import org.eclipse.jface.action.Action;
import org.eclipse.jface.action.IMenuListener;
import org.eclipse.jface.action.IMenuManager;
import org.eclipse.jface.action.MenuManager;
import org.eclipse.jface.preference.PreferenceManager;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.swt.graphics.Device;
import org.eclipse.swt.graphics.Font;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.PlatformUI;
import org.osgi.framework.BundleContext;

public class PlatformUIActivator extends AbstractUIActivator {
  public static final String PLUGIN_ID = "com.vendor.platform.ui";
  
  private static com.vendor.platform.ui.PlatformUIActivator plugin;
  
  private static Font font;
  
  private static Image image;
  
  public static final String TOOL_PNG = "TOOL.PNG";
  
  public void start(BundleContext context) throws Exception {
    super.start(context);
    registerActivator(this);
    onBundleStart(context);
  }
  
  public void stop(BundleContext context) throws Exception {
    unregisterActivator();
    super.stop(context);
    onBundleStop();
  }
  
  private static void registerActivator(com.vendor.platform.ui.PlatformUIActivator activator) {
    plugin = activator;
  }
  
  private static void unregisterActivator() {
    plugin = null;
  }
  
  public static com.vendor.platform.ui.PlatformUIActivator getDefault() {
    return plugin;
  }
  
  public Action createUpdateDeviceAction(String title, Shell shell) {
    Object object = new Object(this, title, shell);
    object.setId("com.vendor.updateDeviceList");
    return (Action)object;
  }
  
  public Action showCurrentDeviceAction(String title) {
    IDeviceManager m = getDeviceManager();
    Object object1 = new Object(this, title + title);
    object1.setId("com.vendor.currentDevice");
    Object object2 = new Object(this, (Action)object1, title);
    m.addDeviceChangedListener((IDeviceChangedListener)object2);
    return (Action)object1;
  }
  
  public void addToolMenuListener(MenuManager toolMenu) {
    ToolMenuBuilder toolMenuBuilder = new ToolMenuBuilder("allTools");
    toolMenu.addMenuListener((IMenuListener)toolMenuBuilder);
  }
  
  public void addLanguageMenuListener(MenuManager languageMenu) {
    LanguageMenuBuilder builder = new LanguageMenuBuilder();
    languageMenu.addMenuListener((IMenuListener)builder);
    builder.fillMenu((IMenuManager)languageMenu);
  }
  
  public void createDeviceMenuList(MenuManager newMenu) {
    IDeviceManager m = getDeviceManager();
    MenuUtils.fillDeviceList(newMenu, m);
  }
  
  public void postWindowOpen() {
    PreferenceManager pm = PlatformUI.getWorkbench().getPreferenceManager();
    pm.remove("org.eclipse.tm.terminal.TerminalPreferencePage");
    pm.remove("org.eclipse.equinox.internal.p2.ui.sdk.ProvisioningPreferencePage");
    pm.remove("org.eclipse.help.ui.browsersPreferencePage");
    pm.remove("org.eclipse.ui.preferencePages.Workbench");
    pm.remove("org.eclipse.oomph.ui.preferences.OomphPreferencePage");
    pm.remove("org.eclipse.m2e.core.preferences.Maven2PreferencePage");
    pm.remove("ValidationPreferencePage");
    pm.remove("org.eclipse.debug.ui.DebugPreferencePage");
    pm.remove("org.eclipse.team.ui.TeamPreferences");
    pm.remove("org.eclipse.wst.xml.ui.preferences.xml");
    pm.remove("org.eclipse.mylyn.preferencePages.Mylyn");
    pm.remove("org.eclipse.jdt.ui.preferences.JavaBasePreferencePage");
    pm.remove("org.eclipse.buildship.ui.preferences");
    pm.remove("org.eclipse.ant.ui.AntPreferencePage");
    pm.remove("org.eclipse.pde.ui.MainPreferencePage");
    pm.remove("org.eclipse.swtbot.eclipse.ui.preferences.SWTBotPreferencePage");
    pm.remove("org.eclipse.e4.tools.emf.editor3x.modeleditor");
    onWindowOpen();
  }
  
  public void preWindowOpen() {
    if (StopLicenceCheck.openCheck())
      NTP.init(); 
  }
  
  public IMenuListener createMenuStateListener(Action action) {
    return (IMenuListener)new Object(this, action);
  }
  
  public static ImageDescriptor getImageDescriptor(String path) {
    return imageDescriptorFromPlugin("com.vendor.platform.ui", path);
  }
  
  public static Font getToolFont() {
    if (font == null)
      font = new Font((Device)Display.getDefault(), "Arial", 15, 1); 
    return font;
  }
  
  public static Image getToolDefaultImage() {
    if (image == null) {
      ImageDescriptor imageDescriptor = getImageDescriptor("icons/TOOL.PNG");
      if (imageDescriptor != null)
        image = imageDescriptor.createImage(); 
    } 
    return image;
  }
}
